Bug 216497 - Removing desktop icons in KDE control-center crashed Compiz
Removing desktop icons in KDE control-center crashed Compiz
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2006-11-20 14:45 EST by Luc Lalonde
Modified: 2008-06-16 21:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luc Lalonde 2006-11-20 14:45:44 EST
Description of problem:

Window manager (compiz) crash

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1.  KDE control-center
2.  Desktop -> Behavior 
3.  Disable "Show icons on desktop"
4.  Logoff/Login
Actual results:

Windows manager (Compiz) fails to initiate
Comment 1 Matěj Cepl 2007-10-02 17:48:32 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
Comment 2 Luc Lalonde 2007-10-03 14:20:06 EDT
Still happening in FC7:
- kdebase-3.5.7-13.fc7
- beryl-0.2.1-1.fc7
Comment 3 Matěj Cepl 2007-10-04 08:20:24 EDT
Couldn't you reproduce it with compiz, please? I know about the merge of the
two, but still for the peace of my mind, I would prefer to have it reproduced
with compiz while we have it.
Comment 4 Luc Lalonde 2007-10-10 12:57:28 EDT
Same problem with Compiz:

> rpm -qa | grep compiz

Here's how I start Compiz:

> cat .kde/Autostart/compiz.desktop
[Desktop Entry]
Exec=compiz --replace decoration wobbly fade minimize cube rotate zoom scale
move resize place switcher & gtk-window-decorator &
Comment 5 Matěj Cepl 2007-10-11 18:59:04 EDT
Do you have any output when you run desktop-effects from the command line? Or
when you run compiz --replace?
Comment 6 Luc Lalonde 2007-10-15 11:27:05 EDT
Sorry for the delay in answering you... nasty flu.

1) desktop-effects displays no output, and does nothing.
2) compiz --replace gives this output:

bash-3.2$ compiz --replace
compiz: Another window manager is already running on screen: 0
compiz: No manageable screens found on display :0
Comment 7 Bug Zapper 2008-05-14 08:05:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:15:16 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.